Commit 85ee06be authored by Jochen Sprickerhof's avatar Jochen Sprickerhof
Browse files

Fixes from checkupdates

parent 530be171
Pipeline #321978762 passed with stages
in 20 minutes and 6 seconds
......@@ -70,7 +70,7 @@ Builds:
- yes
prebuild: rm -rf store
AutoUpdateMode: Version %v
UpdateCheckMode: Tags
CurrentVersion: 3.2.2
CurrentVersionCode: 18
AutoUpdateMode: None
UpdateCheckMode: None
CurrentVersion: 3.2.3
CurrentVersionCode: 19
......@@ -46,7 +46,7 @@ Builds:
scandelete:
- Images
AutoUpdateMode: Version v%v
UpdateCheckMode: Tags
CurrentVersion: '1.6'
CurrentVersionCode: 22
AutoUpdateMode: None
UpdateCheckMode: None
CurrentVersion: 1.6.1
CurrentVersionCode: 23
......@@ -18,15 +18,6 @@ Builds:
gradle:
- yes
- versionName: 1.2.3
versionCode: 6
disable: wait for upstream
commit: v1.2.3
subdir: app
submodules: true
gradle:
- yes
AutoUpdateMode: Version v%v
UpdateCheckMode: Tags
CurrentVersion: 1.2.2
......
......@@ -2002,5 +2002,6 @@ MaintainerNotes: |-
AutoUpdateMode: Version release_%v
UpdateCheckMode: Tags
VercodeOperation: 22000000 + %c
CurrentVersion: 3.6.0
CurrentVersionCode: 360
CurrentVersionCode: 22000360
......@@ -140,32 +140,6 @@ Builds:
- $$flutter$$/bin/flutter config --no-analytics
- $$flutter$$/bin/flutter build apk
- versionName: 5.0.51
versionCode: 51
disable: no such tag
commit: v5.0.51
output: build/app/outputs/flutter-apk/app-release.apk
srclibs:
- flutter@2.0.5
rm:
- ios
- linux
- macos
- web
- windows
prebuild:
- cp lib/.env.dart.example lib/.env.dart
- cp android/app/build.gradle.dev android/app/build.gradle
- cp android/build.gradle.foss android/build.gradle
- cp lib/utils/oauth.dart.foss lib/utils/oauth.dart
- cp lib/ui/app/upgrade_dialog.dart.foss lib/ui/app/upgrade_dialog.dart
- cp android/app/src/main/AndroidManifest.foss.xml android/app/src/main/AndroidManifest.xml
- cp pubspec.foss.yaml pubspec.yaml
- rm pubspec.lock
build:
- $$flutter$$/bin/flutter config --no-analytics
- $$flutter$$/bin/flutter build apk
AutoUpdateMode: Version
UpdateCheckMode: Tags ^v.*$
UpdateCheckData: pubspec.yaml|version:\s.+\+(\d+)|.|version:\s(.+)\+
......
......@@ -19,7 +19,7 @@ Builds:
gradle:
- yes
AutoUpdateMode: Version v%v
UpdateCheckMode: Tags
AutoUpdateMode: None
UpdateCheckMode: None
CurrentVersion: '1.0'
CurrentVersionCode: 1
......@@ -41,7 +41,7 @@ Builds:
gradle:
- yes
AutoUpdateMode: Version v%v
UpdateCheckMode: Tags
AutoUpdateMode: None
UpdateCheckMode: None
CurrentVersion: 2.7.3
CurrentVersionCode: 20703
......@@ -20,14 +20,6 @@ Builds:
gradle:
- yes
- versionName: 0.4.5.3
versionCode: 21
disable: Unexpected version/version code in output
commit: 0.4.5.3
subdir: app
gradle:
- yes
AutoUpdateMode: Version %v
UpdateCheckMode: Tags
CurrentVersion: 0.4.5.2
......
......@@ -73,27 +73,6 @@ Builds:
- ACardEmulator/app/src/main/external/ykneo-oath/build.gradle
- ACardEmulator/app/src/main/external/PivApplet/ext/ant/sdks/
- versionName: '3.4'
versionCode: 7
disable: fails to git reset
commit: virtualsmartcard-0.8
subdir: ACardEmulator/app
submodules: true
gradle:
- fdroid
prebuild:
- git clean -xfd
- git submodule foreach --recursive git clean -xfd
- git reset --hard
- git submodule foreach --recursive git reset --hard
- git submodule update --init --recursive
- sed -i -e '/applicationIdSuffix/d' build.gradle
scandelete:
- virtualsmartcard/npa-example-data
- ccid/src/OpenSC/src/tests/regression/bintest
- ACardEmulator/app/src/main/external/ykneo-oath/build.gradle
- ACardEmulator/app/src/main/external/PivApplet/ext/ant/sdks/
AutoUpdateMode: Version ACardEmulator-%v
UpdateCheckMode: Tags ^ACardEmulator-\d\.\d$
CurrentVersion: '3.3'
......
......@@ -99,8 +99,8 @@ Builds:
gradle:
- yes
AutoUpdateMode: Version v%v
UpdateCheckMode: Tags
AutoUpdateMode: None
UpdateCheckMode: None
VercodeOperation: '%c*10 + 8'
CurrentVersion: 1.0.2
CurrentVersionCode: 100028
......@@ -68,6 +68,6 @@ MaintainerNotes: |-
https://f-droid.org/docs/All_About_Descriptions_Graphics_and_Screenshots
AutoUpdateMode: None
UpdateCheckMode: RepoManifest
UpdateCheckMode: None
CurrentVersion: 1.1.0
CurrentVersionCode: 131
......@@ -59,32 +59,6 @@ Builds:
- pushd $$freemaplibProj$$
- $$MVN3$$ install
- versionName: 0.5.3
versionCode: 9
disable: fails to build, missing srclib deps
commit: 0.5.3
subdir: app
gradle:
- yes
srclibs:
- andromaps@ec817a0b869ad41d0dc661bcca0b8595dc719003
- freemaplib@d409e3db4b84509108e4e406f8b4e721d9223d1b
- freemaplibProj@a15388343b5cd0498efe70586c2c863a4870959f
- JCoord@aa4c5aa25fee1179c57817bbb2c7f61aa1c5328d
- javaproj@fecb0f3a6b52a4eb4e44889f10c07183cc592a3d
build:
- pushd $$freemaplib$$
- $$MVN3$$ install
- popd
- pushd $$JCoord$$
- $$MVN3$$ install -DskipTests
- popd
- pushd $$javaproj$$
- $$MVN3$$ install -DskipTests
- popd
- pushd $$freemaplibProj$$
- $$MVN3$$ install
AutoUpdateMode: Version %v
UpdateCheckMode: Tags
CurrentVersion: '0.4'
......
......@@ -69,5 +69,6 @@ Builds:
AutoUpdateMode: Version v%c
UpdateCheckMode: Tags
CurrentVersion: '20'
CurrentVersionCode: 20
UpdateCheckData: build.gradle|appVersion = (\d+)||v(\d+)
CurrentVersion: '22'
CurrentVersionCode: 22
......@@ -40,7 +40,7 @@ Builds:
gradle:
- yes
AutoUpdateMode: Version %v
UpdateCheckMode: Tags
AutoUpdateMode: None
UpdateCheckMode: None
CurrentVersion: 1.4.2
CurrentVersionCode: 12
......@@ -48,14 +48,6 @@ Builds:
gradle:
- store
- versionName: 2.1.1
versionCode: 12
disable: no such Git tag anymore
commit: 2.1.1
subdir: app
gradle:
- store
AutoUpdateMode: Version %v
UpdateCheckMode: Tags
CurrentVersion: '2.0'
......
......@@ -40,7 +40,7 @@ Builds:
MaintainerNotes: AutoUpdateMode only works for APKs right now.
ArchivePolicy: 0 versions
AutoUpdateMode: Version %v
UpdateCheckMode: Static
AutoUpdateMode: None
UpdateCheckMode: None
CurrentVersion: 1.0.3
CurrentVersionCode: 1000013
......@@ -33,6 +33,6 @@ Builds:
AutoUpdateMode: Version v%v+%c
UpdateCheckMode: Tags
UpdateCheckData: pubspec.yaml|version:\s.*\+(\d+)|.|version:\s.*\+
UpdateCheckData: pubspec.yaml|version:\s.+\+(\d+)|.|version:\s(.+)\+
CurrentVersion: 1.0.0
CurrentVersionCode: 5
......@@ -57,14 +57,6 @@ Builds:
gradle:
- yes
- versionName: 2.0.2
versionCode: 7
disable: no tag, checkupdate bot blunder
commit: v2.0.2
subdir: app
gradle:
- yes
AutoUpdateMode: Version v%v
UpdateCheckMode: Tags
CurrentVersion: 2.0.1
......
......@@ -879,21 +879,6 @@ Builds:
- ./scripts/build-witness.sh
- rm -rf libs/gradle-witness/build
- versionName: 0.15.16
versionCode: 212
disable: checkupdate blunder
commit: v0.15.16
submodules: true
gradle:
- yes
rm:
- libs/*.jar
- libs/org.greenrobot.eventbus/EventBusTest/libs/*.jar
prebuild:
- touch signing.properties
- ./scripts/build-witness.sh
- rm -rf libs/gradle-witness/build
MaintainerNotes: |-
Auto Update does not really work because the latest unstable build is newer than CV.
So we need to always add new build manually.
......
......@@ -100,14 +100,6 @@ Builds:
gradle:
- yes
- versionName: 1.10.1
versionCode: 14
disable: no tag, checkupdate bot blunder
commit: v1.10.1
subdir: app
gradle:
- yes
AutoUpdateMode: Version v%v
UpdateCheckMode: Tags
CurrentVersion: 1.10.0
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment